org.flexdock.docking.event

## Class DockingEvent

- java.lang.Object
- - java.util.EventObject
  - - org.flexdock.event.Event
    - - org.flexdock.docking.event.DockingEvent

- All Implemented Interfaces:
    java.io.Serializable, DockingConstants

      public class DockingEvent
      extends Event

  Author:
    Kevin Duffey, Christopher Butler
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DOCKING_CANCELED`
    `static int` | `DOCKING_COMPLETE`
    `static int` | `DRAG_STARTED`
    `static int` | `DROP_STARTED`
    `static int` | `UNDOCKING_COMPLETE`
    `static int` | `UNDOCKING_STARTED`

    - ### Fields inherited from class java.util.EventObject

      `source`

    - ### Fields inherited from interface org.flexdock.docking.DockingConstants

      `ACTIVE_WINDOW, BOTTOM, CENTER, CENTER_REGION, CLOSE_ACTION, DEFAULT_PERSISTENCE_KEY, DOCKING_ID, EAST_REGION, HEAVYWEIGHT_DOCKABLES, HORIZONTAL, LEFT, MOUSE_PRESSED, NORTH_REGION, PERMANENT_FOCUS_OWNER, PIN_ACTION, REGION, RIGHT, SOUTH_REGION, TOP, UNINITIALIZED, UNINITIALIZED_RATIO, UNKNOWN_REGION, UNSPECIFIED_SIBLING_PREF, VERTICAL, WEST_REGION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DockingEvent(Dockable source, DockingPort oldPort, DockingPort newPort, int eventType, java.awt.AWTEvent trigger, java.util.Map context)` Constructor to create a DockingEvent object with the provided Dockable, the originating docking part, the destination docking port and whether the dock is completed or canceled.
    `DockingEvent(Dockable source, DockingPort oldPort, DockingPort newPort, int eventType, java.util.Map context)` Constructor to create a DockingEvent object with the provided Dockable, the originating docking part, the destination docking port and whether the dock is completed or canceled.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `consume()`
    `java.awt.Component` | `getComponent()`
    `Dockable` | `getDockable()`
    `java.util.Map` | `getDragContext()`
    `DockingPort` | `getNewDockingPort()` Returns the new docking port the source `Dockable` has been docked to.
    `DockingPort` | `getOldDockingPort()` Returns the old docking port which the source `Dockable` was originally docked to.
    `java.lang.String` | `getRegion()`
    `java.awt.AWTEvent` | `getTrigger()`
    `java.lang.Object` | `getTriggerSource()`
    `boolean` | `isConsumed()`
    `boolean` | `isOverWindow()`
    `void` | `setOverWindow(boolean overWindow)`
    `void` | `setRegion(java.lang.String region)`
    `void` | `setTrigger(java.awt.AWTEvent trigger)`

    - ### Methods inherited from class org.flexdock.event.Event

      `getEventType`

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DRAG_STARTED

          public static final int DRAG_STARTED

      See Also:
        Constant Field Values

    - #### DROP_STARTED

          public static final int DROP_STARTED

      See Also:
        Constant Field Values

    - #### DOCKING_COMPLETE

          public static final int DOCKING_COMPLETE

      See Also:
        Constant Field Values

    - #### DOCKING_CANCELED

          public static final int DOCKING_CANCELED

      See Also:
        Constant Field Values

    - #### UNDOCKING_COMPLETE

          public static final int UNDOCKING_COMPLETE

      See Also:
        Constant Field Values

    - #### UNDOCKING_STARTED

          public static final int UNDOCKING_STARTED

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DockingEvent

          public DockingEvent(Dockable source,
                      DockingPort oldPort,
                      DockingPort newPort,
                      int eventType,
                      java.util.Map context)

      Constructor to create a DockingEvent object with the provided Dockable, the originating docking part, the destination docking port and whether the dock is completed or canceled.

    - #### DockingEvent

          public DockingEvent(Dockable source,
                      DockingPort oldPort,
                      DockingPort newPort,
                      int eventType,
                      java.awt.AWTEvent trigger,
                      java.util.Map context)

      Constructor to create a DockingEvent object with the provided Dockable, the originating docking part, the destination docking port and whether the dock is completed or canceled.

  - ### Method Detail

    - #### getOldDockingPort

          public DockingPort getOldDockingPort()

      Returns the old docking port which the source `Dockable` was originally docked to.
      Returns:
        DockingPort the old docking port

    - #### getNewDockingPort

          public DockingPort getNewDockingPort()

      Returns the new docking port the source `Dockable` has been docked to.
      Returns:
        DockingPort the new docking port

    - #### isConsumed

          public boolean isConsumed()

    - #### consume

          public void consume()

    - #### getTrigger

          public java.awt.AWTEvent getTrigger()

    - #### setTrigger

          public void setTrigger(java.awt.AWTEvent trigger)

    - #### getTriggerSource

          public java.lang.Object getTriggerSource()

    - #### getRegion

          public java.lang.String getRegion()

    - #### setRegion

          public void setRegion(java.lang.String region)

    - #### isOverWindow

          public boolean isOverWindow()

    - #### setOverWindow

          public void setOverWindow(boolean overWindow)

    - #### getDockable

          public Dockable getDockable()

    - #### getComponent

          public java.awt.Component getComponent()

    - #### getDragContext

          public java.util.Map getDragContext()